###########################################################################
#
# Makefile -- common-src/src/gdbmedit/gdbmset
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999-2008  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

GSDL_DIR = ../../../..
COMMON_DIR = $(GSDL_DIR)/common-src

COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages

CXX = @CXX@
CXXFLAGS = @CXXFLAGS@ @ARCH_DEP_FLAGS@
DEFS = @DEFS@ $(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES)
GSDLOS = @gsdlos@
INCLUDES = -I$(COMMON_PACKAGES_DIR)/gdbm/include -I$(COMMON_DIR)/src/lib
STRIP   = @STRIP@
INSTALL = @INSTALL@
LDFLAGS = @LDFLAGS@ @ARCH_DEP_FLAGS@
LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a


CXXCOMPILE = $(CXX) -c $(CXXFLAGS) $(DEFS) $(INCLUDES)
CXXLINK = $(CXX) $(LDFLAGS) -o $@


.SUFFIXES:
.SUFFIXES: .cpp .o
.cpp.o:
	$(CXXCOMPILE) $< 


SOURCES = \
	gdbmset.cpp

OBJECTS = \
	gdbmset.o

EXECUTABLE_OBJECTS = \
	$(OBJECTS)

EXECUTABLE = gdbmset


# Default target: make the gdbmset executable
all: $(EXECUTABLE)

gdbmset: $(EXECUTABLE_OBJECTS)
	$(CXXLINK) $(EXECUTABLE_OBJECTS) $(LIBS)

install: $(EXECUTABLE)
	$(INSTALL) -d $(GSDL_DIR)/bin/$(GSDLOS)
	$(STRIP) $(EXECUTABLE)
	$(INSTALL) -m 755 $(EXECUTABLE) $(GSDL_DIR)/bin/$(GSDLOS)

clean:
	rm -f $(OBJECTS) $(EXECUTABLE)

distclean:
	rm -f $(OBJECTS) $(EXECUTABLE) Makefile

depend:
	makedepend -Y -- $(DEFS) $(INCLUDES) $(CXXFLAGS) -- $(SOURCES)
